Create label

This API generates shipping labels using the shipment information provided. A successful response includes a tracking number and a media type format (pdf or image) specified in the Accept header.
For example: 'Accept'='application/json,application/pdf' returns a pdf,
'Accept'='application/json,image/png' returns an image png and 'Accept'='application/json' returns a json response.

  • Refer request sample1 for United-States(US) to United-States(US) shipping.
  • Refer request sample2 for United-States(US) to United-States(US) shipping with addons.
  • Refer request sample3 for China(CN) to United-States(US) shipping.
  • Refer request sample4 for BYOA.

Note: The Ship with Walmart service from China to the U.S. is paused until further notice.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Label fields

string
required

Package Type. This value maps to 'packageTypeShortName' from Supported carrier package types API response.

boxDimensions
object
required

Box dimensions and weight for a shipping package.

boxItems
array of objects
required

Box Items

boxItems*
fromAddress
object

From address

string
required

Purchase order ID

string
required

Carrier name. This value maps to 'shortName' from Supported carriers API response. Currently FedEx and USPS are supported carriers.

string
required

Carrier service type. This value maps to 'serviceTypes.name' from Shipping Estimates API response

addOns
array of strings

Add-on response items. Add-ons can be opted during label generation for a shipping. Supported values for Add-ons are INSURANCE and SIGNATURE. We support standard SIGNATURE Type for now.

addOns
Allowed:
returnAddress
object

Return Address. This is only mandatory field for yanwen.

boolean

hasBattery flag. Pass 'true' if the shipment consists of battery. This is a mandatory field for yanwen.

boolean

hazmat flag. Pass 'true' if the shipment consists of hazardous material.

string

Account Type. This is a mandatory field in case of BYOA

string
^\d{4}-\d{2}-\d{2}$

Optional. The ship-on date for the label in yyyy-MM-dd format. Use the Get ship-on-date API to retrieve the valid ship-on date window before creating a label.

Headers
string

A unique ID to track the consumer request by channel. Use the Consumer Channel Type received during onboarding

string
required

Access token obtained from the Token API. This is required for authenticating requests to Walmart Marketplace APIs.

Market availability: Global

string
required

A unique ID which identifies each API call and is used to track and debug issues. Use a randomly generated GUID for this ID.

string
required

Walmart Service Name

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Response

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/pdf
image/png